package com.dcsoft.system.kq.mapper;



import com.dcsoft.system.kq.domain.KqHolidayGroup;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 假期设置Mapper接口
 *
 * @author dcsoft
 * @date 2023-01-11
 */
public interface KqHolidayGroupMapper
{
    /**
     * 查询假期设置
     *
     * @param holidayId 假期设置主键
     * @return 假期设置
     */
    public KqHolidayGroup selectKqHolidayGroupByHolidayId(Long holidayId);

    /**
     * 查询假期设置列表
     *
     * @param kqHoliday 假期设置
     * @return 假期设置集合
     */
    public List<KqHolidayGroup> selectKqHolidayGroupList(KqHolidayGroup kqHoliday);

    /**
     * 新增假期设置
     *
     * @param kqHoliday 假期设置
     * @return 结果
     */
    public int insertKqHolidayGroup(KqHolidayGroup kqHoliday);

    /**
     * 修改假期设置
     *
     * @param kqHoliday 假期设置
     * @return 结果
     */
    public int updateKqHolidayGroup(KqHolidayGroup kqHoliday);

    /**
     * 删除假期设置
     *
     * @param holidayId 假期设置主键
     * @return 结果
     */
    public int deleteKqHolidayGroupByHolidayId(Long holidayId);

    /**
     * 批量删除假期设置
     *
     * @param holidayIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteKqHolidayGroupByHolidayIds(Long[] holidayIds);

    public KqHolidayGroup selectKqHolidayGroupByHolidayTimeStamp(@Param("timeStamp") Long timeStamp,@Param("groupId") Long groupId);

    public int deleteKqHolidayGroupByHolidayTimeStamp(@Param("timeStamp") Long timeStamp,@Param("groupId") Long groupId);
}
